UHD 003.004.003-0-unknown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Types | Public Member Functions | List of all members
uhd::transport::zero_copy_if Class Referenceabstract

`#include <zero_copy.hpp>`

Inheritance diagram for uhd::transport::zero_copy_if:

## Public Types
typedef boost::shared_ptr < zero_copy_if > | sptr

## Public Member Functions
virtual managed_recv_buffer::sptr | get_recv_buff (double timeout=0.1)=0
virtual size_t | get_num_recv_frames (void) const =0
virtual size_t | get_recv_frame_size (void) const =0
virtual managed_send_buffer::sptr | get_send_buff (double timeout=0.1)=0
virtual size_t | get_num_send_frames (void) const =0
virtual size_t | get_send_frame_size (void) const =0

## Detailed Description

A zero-copy interface for transport objects. Provides a way to get send and receive buffers with memory managed by the transport object.

## Member Typedef Documentation

typedef boost::shared_ptr<zero_copy_if> uhd::transport::zero_copy_if::sptr

## Member Function Documentation

virtual size_t uhd::transport::zero_copy_if::get_num_recv_frames | ( | void |  | ) | const
| pure virtual

Get the number of receive frames: The number of simultaneous receive buffers in use.

Returns
  number of frames

virtual size_t uhd::transport::zero_copy_if::get_num_send_frames | ( | void |  | ) | const
| pure virtual

Get the number of send frames: The number of simultaneous send buffers in use.

Returns
  number of frames

virtual managed_recv_buffer::sptr uhd::transport::zero_copy_if::get_recv_buff | ( | double | timeout = `0.1` | ) |
| pure virtual

Get a new receive buffer from this transport object.

Parameters

  timeout | the timeout to get the buffer in seconds

Returns
  a managed buffer, or null sptr on timeout/error

virtual size_t uhd::transport::zero_copy_if::get_recv_frame_size | ( | void |  | ) | const
| pure virtual

Get the size of a receive frame: The maximum capacity of a single receive buffer.

Returns
  frame size in bytes

virtual managed_send_buffer::sptr uhd::transport::zero_copy_if::get_send_buff | ( | double | timeout = `0.1` | ) |
| pure virtual

Get a new send buffer from this transport object.

Parameters

  timeout | the timeout to get the buffer in seconds

Returns
  a managed buffer, or null sptr on timeout/error

virtual size_t uhd::transport::zero_copy_if::get_send_frame_size | ( | void |  | ) | const
| pure virtual

Get the size of a send frame: The maximum capacity of a single send buffer.

Returns
  frame size in bytes

The documentation for this class was generated from the following file:

- include/uhd/transport/zero_copy.hpp